struct Material {
  vec3 aColor;
  vec3 dColor;
  vec3 sColor;
  float shine;
};
uniform Material uMat;
varying vec3 vColor;
varying vec3 PhongNormal;
varying vec3 lightVector;
varying vec3 PhongLightCol;
varying vec3 PhongView;
varying vec3 PhongReflextion;


void main() {
  vec3 Spec, Diffuse ;
  vec3 Ambi;

  Spec = PhongLightCol * uMat.sColor * pow(clamp(dot(normalize(PhongReflextion), normalize(PhongView)), 0.0, 1.0 ),uMat.shine);
  Diffuse = PhongLightCol * uMat.dColor * clamp(max(dot(normalize(PhongNormal) , (normalize(lightVector))), 0.0), 0.0, 1.0);
  Ambi = PhongLightCol * uMat.aColor;

  gl_FragColor =  vec4(Spec + Diffuse + Ambi, 1);
}
